// $Id: ff1.js,v 1.1.2.1 2010/02/05 23:59:24 ff1 Exp $

Drupal.behaviors.ff1 = function (context) {
  // ff1_component
  // Add an onchange event to the component type select box.
  // Show or Hide the child car/engine selection box depending on comp type.
  $('#edit-comp-type-wrapper:not(.ff1-processed)', context).addClass('ff1-processed').each(function () {
    $('#edit-comp-type').bind("change", function(){
      ff1CompTypeChildUpdate();
    });
  });

  // Update the component form immdeiately so that both fields are never shown together.
  ff1CompTypeChildUpdate();

  // ff1_team
  // Add an onchange event to the team selection boxes.
  $('#edit-driver1:not(.ff1-processed)', context).addClass('ff1-processed').each(function () {
    $('#edit-driver1,#edit-driver2,#edit-car,#edit-engine').bind("change", function(){
      ff1CalculateTeamPrice();
    });
  });

  // Update the team form immdeiately.
  ff1CalculateTeamPrice();

};

function ff1CompTypeChildUpdate(){
  switch ($('#edit-comp-type').val()) {
    case 'driver':
      $('#edit-engine-wrapper').hide();
      $('#edit-car-wrapper').show();
      break;
    case 'car':
      $('#edit-car-wrapper').hide();
      $('#edit-engine-wrapper').show();
      break;
    case 'engine':
      $('#edit-engine-wrapper').hide();
      $('#edit-car-wrapper').hide();
      break;
  }
}

function ff1CalculateTeamPrice() {
  // Calculate the price of the current team selection

  //var driver1 = componentPrice[parseInt($('#edit-driver1').val())];
  //var driver2 = componentPrice[parseInt($('#edit-driver2').val())];
  //var car = componentPrice[parseInt($('#edit-car').val())];
  //var engine = componentPrice[parseInt($('#edit-engine').val())];
  //var teamprice = driver1 + driver2 + car + engine;

  var teamprice = 2;
  var ff1MaxPrice = Drupal.settings.ff1MaxPrice;
  var ff1Currency = Drupal.settings.ff1Currency;

  if (teamprice > ff1MaxPrice){
     $('#team-price').html(ff1Currency + teamprice + " million -> TOO EXPENSIVE!");
  }
  else {
     var remaining = ff1MaxPrice - teamprice;
     $('#team-price').html(ff1Currency + teamprice + "million -> " + ff1Currency + remaining + "million remaining");
  }

  //return teamprice;
}